List Folders
curl --request GET \
--url https://app.famulor.de/api/user/folders \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.famulor.de/api/user/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.famulor.de/api/user/folders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.de/api/user/folders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.de/api/user/folders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{ "id": 12, "name": "Acme Corp", "color": "blue", "assistants_count": 4 },
{ "id": 18, "name": "Globex", "color": "teal", "assistants_count": 0 }
],
"current_page": 1,
"per_page": 15,
"total": 2
}
List Folders
List the folders in your account
GET
/
api
/
user
/
folders
List Folders
Folders let you group assistants (for example, by client or brand). Each assistant can belong to a single folder. Folders are private to your account.
This endpoint returns your folders (paginated), each with the number of assistants it contains.
Query Parameters
integer
Number of folders per page (1-100, default: 15)
integer
Page number (default: 1)
Response fields
array
{
"data": [
{ "id": 12, "name": "Acme Corp", "color": "blue", "assistants_count": 4 },
{ "id": 18, "name": "Globex", "color": "teal", "assistants_count": 0 }
],
"current_page": 1,
"per_page": 15,
"total": 2
}
Was this page helpful?
⌘I

